ranges::v3::concepts::UniformRandomNumberGenerator Struct Reference

## Public Types

template<typename Gen >
using | result_t = result_of_t< Gen &()>

## Public Member Functions

template<typename Gen , typename Result = result_t<Gen>>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< UnsignedIntegral, Result >(), concepts::has_type< Result >(uncvref_t< Gen >::min()), concepts::has_type< Result >(uncvref_t< Gen >::max()), concepts::is_true(meta::bool_<(uncvref_t< Gen >::min()< uncvref_t< Gen >::max())>())))